Bug 204737 - yum failure, python import error ?
Summary: yum failure, python import error ?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-31 11:39 UTC by Herbert Carl Meyer
Modified: 2014-01-21 22:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 11:41:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Herbert Carl Meyer 2006-08-31 11:39:24 UTC
Description of problem:
yum failure, python import error ? (see traceback)

Version-Release number of selected component (if applicable):
yum.noarch 0:2.9.5-3

How reproducible:
100%

Steps to Reproduce:
1. run yum
2. update yum to 0:2.9.5-3
3. try to run new yum
  
Actual results:

[root@evilgnome ~]# yum check-update
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 183, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 123, in
doConfigSetup
    startupconf.pluginconfpath)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 227, in
doPluginSetup
    plugin_types, confpath)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 128, in __init__
    self._importplugins(types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 169, in
_importplugins
    self._loadplugin(modulefile, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 185, in _loadplugin
    module = imp.load_module(modname, fp, pathname, description)
  File "/usr/lib/yum-plugins/installonlyn.py", line 23, in ?
    from yum.packages import YumInstalledPackage, comparePoEVR
ImportError: cannot import name comparePoEVR

Comment 1 Seth Vidal 2006-08-31 11:41:47 UTC
1. this isn't urgent - it's rawhide
2. it's been fixed in cvs.

Comment 2 David Timms 2006-09-03 01:53:13 UTC
see bug 204778 for more info/duplicates/solution if you updated to 2.9.5-3.
Fixed in 2.9.5-4


Note You need to log in before you can comment on or make changes to this bug.